# module GxG::Networking::ZMQ

### Public Class Methods

zmq_default_context() click to toggle source

    # File lib/gxg/gxg_zmq.rb, line 25
    def self.zmq_default_context()
      @@details[:zmq_context]
    end

zmq_supported_protocols() click to toggle source

    # File lib/gxg/gxg_zmq.rb, line 29
    def self.zmq_supported_protocols()
      if ::GxG::SYSTEM.platform()[:platform] == :windows
        ["inproc", "tcp", "tcp4", "tcp6", "pgm", "epgm"]
      else
        ["inproc", "ipc", "tcp", "tcp4", "tcp6", "pgm", "epgm"]
      end
    end